#include "simpletools.h" 
#include "wavplayer.h"
#include "simpletext.h"
#include "simplei2c.h"

void turnCam();

unsigned int stack1[75];
const char screaming[] = {"Scream.wav"};
const char growling[] = {"Growl.wav"};

int DO = 22, CLK = 23, DI = 24, CS = 25;

int main()
{
  sd_mount(DO, CLK, DI, CS); 

  low(13);
  low(14);

  wav_volume(7);
  wav_play(growling);
  
  while(1)
  {
    // make sure the 1 and 2 pins are high to start with....
    if(input(15) == 1)
    {
    int turning = cogstart(&turnCam, NULL, stack1, sizeof(stack1));
      
      high(13); // Turn on the strobe light...
      high(14); // Turn on the fog machine...
      
      wav_volume(10);
      wav_play(screaming);

      pause(30000);  
      
      wav_stop();  
      cogstop(turning);
      low(13); // Turn off the strobe light...
      low(14); // Turn off the fog machine...

      wav_volume(7);
      wav_play(growling);

      pause(30000); // pause for 30 seconds before running again...
    };
  };
};


void turnCam()
{ 
  while(1)
  {
    high(0);
    pause(6);
    low(0);
    pause(5);
  }
}



